#
# spec file for package vice (Version 1.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp readline readline-devel xaw3d xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         vice
Copyright:    GPL
Group:        Applications/Emulators
Requires:     ei
Autoreqprov:  on
Version:      1.6
Release:      95
Summary:      Commodore 8-bit Emulator (C64/C128/VIC20/PET)
Url:          http://www.cs.cmu.edu/~dsladic/vice/vice.html
Source0:      vice-%{version}.tar.bz2
Source1:      README.SuSE
Source2:      compile.m4
Patch0:       vice-%{version}-romimg.patch
Patch1:       vice-%{version}-destdir.patch		
Patch2:       vice-%{version}-ia64-prep.patch		
Patch3:       vice-%{version}-ia64-warn.patch		
Patch4:       vice-%{version}-conf.patch		
BuildRoot:    /var/tmp/%{name}-build

%description
This is a collection of Emulators for 8bit Commodore computers. The packet
includes a C64, C128, VIC20 and a PET emulator. You'll need the ROMS of these
machines to get the emulators work. See the manual for this.

Authors:
--------
    Jarkko Sonninen <sonninen@lut.fi>
    Teemu Rantanen <tvr@cs.hut.fi>
    Jouko Valta <jopi@stekt.oulu.fi>
    Ettore Perazzoli <ettore@comm2000.it>
    Andre Fachat <a.fachat@physik.tu-chemnitz.de>

SuSE series: emu

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
#
cp %{S:1} %{S:2} .

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I .
automake
autoconf
#
cd src/resid
libtoolize --force
aclocal -I ./../..
automake
autoconf
cd ../..
#
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" ./configure --prefix=/usr \
                                       --mandir=%{_mandir} \
                                       --infodir=%{_infodir} \
                                       --with-xaw3d
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/
rm -rf $RPM_BUILD_ROOT/usr/lib/vice/doc

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog FEEDBACK README NEWS TODO doc/{*.txt,Evaluation,*.texi,html} README.SuSE
/usr/bin/*
/usr/lib/vice
/usr/share/locale/de/LC_MESSAGES/vice.mo
%doc %{_infodir}/vice.info*.gz
%doc %{_mandir}/man1/*.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n vice
* Mon Jun 18 2001 - pmladek@suse.cz
- fixed macro AC_TRY_COMPILER for new autoconf
* Wed Jun 13 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Wed Apr 18 2001 - pmladek@suse.cz
- fixed to compile on ia64
- fixed warnings on ia64
* Thu Mar 15 2001 - pmladek@suse.cz
- update to version 1.6
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Feb 09 2001 - cihlar@suse.cz
- compile with -D_GNU_SOURCE
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Thu Oct 26 2000 - cihlar@suse.cz
- clean up spec file
- bzipped sources
- added suse_update config
- update to version 1.5
- compile again with xdevel
* Fri Jul 28 2000 - cihlar@suse.de
- compile with xdevel3 instead of xdevel
* Thu May 18 2000 - cihlar@suse.cz
- upgrade to version 1.4
* Tue Mar 21 2000 - uli@suse.de
- stripped some huge binaries
* Mon Mar 20 2000 - cihlar@suse.cz
- upgrade to version 1.3
* Fri Mar 03 2000 - kasal@suse.de
- added buildroot, %%{mandir} and cleaned up the specfile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Oct 06 1998 - ro@suse.de
- upgrade to 0.15.0 / removed roms from source tar
* Mon Oct 05 1998 - ro@suse.de
- dont redeclare strndup for glibc / use glibc's function strndup
* Mon Oct 20 1997 - rj@suse.de
- now works with (a)build
* Thu Jan 02 1997 - rj@suse.de
- new package. version 0.11.0
- standard path for ROMS is /usr/lib/vice
